<?php
/**
 * The template for displaying Author Archive pages.
 *
 * @package WordPress
 * @subpackage Classic Theme
 * @since Classic Theme 1.0
 */

get_header(); ?>


<?php
	if ( have_posts() )
		the_post();
?>

		<div id="content_left">
			<div id="navigation">
					<?php include_once(TEMPLATEPATH . '/menu.php'); ?>						
			</div><!-- end navigation -->
			<div id="sidebar">	<?php get_sidebar(); ?></div>	
		</div><!-- end content left -->
		<div id="content_right">
			<div id="maincontent">
			<div id="maintext">
			
				<div id="content">

				<h1 class="page-title author"><?php printf( __( 'Author Archives: %s', 'templatesquare' ), "<span class='vcard'><a class='url fn n' href='" . get_author_posts_url( get_the_author_meta( 'ID' ) ) . "' title='" . esc_attr( get_the_author() ) . "' rel='me'>" . get_the_author() . "</a></span>" ); ?></h1>
<div class="clr"></div>
<?php if ( get_the_author() ) : ?>
					<div id="entry-author-info">
						<div id="author-avatar">
							<?php echo get_avatar( get_the_author_meta( 'user_email' ), apply_filters( 'ts_author_bio_avatar_size', 60 ) ); ?>
						</div><!-- #author-avatar -->
						<div id="author-description">
							<h2><?php printf( esc_attr__( 'About %s', 'templatesquare' ), get_the_author() ); ?></h2>

							<?php the_author_meta( 'description' ); ?>
							<div id="author-link">
								<a href="<?php echo get_author_posts_url( get_the_author_meta( 'ID' ) ); ?>">
									<?php printf( __( 'View all posts by %s <span class="meta-nav">&rarr;</span>', 'templatesquare' ), get_the_author() ); ?>
								</a>
							</div><!-- #author-link	-->
						</div><!-- #author-description -->
					</div><!-- #entry-author-info -->
<?php endif; ?>

<?php
	/* Since we called the_post() above, we need to
	 * rewind the loop back to the beginning that way
	 * we can run the loop properly, in full.
	 */
	rewind_posts();

	/* Run the loop for the author archive page to output the authors posts
	 * If you want to overload this in a child theme then include a file
	 * called loop-author.php and that will be used instead.
	 */
	 get_template_part( 'loop', 'author' );
?>
		</div><!-- end content -->
						</div><!-- end maintext -->
					</div><!-- end maincontent -->
				</div><!-- end content right -->
				<div class="clr"></div><!-- clear float left -->
				
<?php get_footer(); ?>
