<?php
/**
 * The Header for our theme.
 * @package WordPress
 * @subpackage Classic Theme
 * @since Classic Theme 1.0
 */
?><!DOCTYPE html>
<html <?php language_attributes(); ?>>
<head>
<meta charset="<?php bloginfo( 'charset' ); ?>" />
<title><?php
	/*
	 * Print the <title> tag based on what is being viewed.
	 * We filter the output of wp_title() a bit -- see
	 * twentyten_filter_wp_title() in functions.php.
	 */
	wp_title( '|', true, 'right' );

	?></title>
<link rel="profile" href="http://gmpg.org/xfn/11" />
<link rel="stylesheet" type="text/css" media="all" href="<?php bloginfo( 'stylesheet_url' ); ?>" />
<link href="<?php bloginfo('template_url'); ?>/prettyPhoto.css" rel="stylesheet" type="text/css" />
<link rel="pingback" href="<?php bloginfo( 'pingback_url' ); ?>" />
<?php 
$favicon = get_option('templatesquare_favicon');
if($favicon =="" ){
?>
<link rel="shortcut icon" href="<?php bloginfo('template_url'); ?>/images/favicon.ico" />
<?php }else{?>
<link rel="shortcut icon" href="<?php echo $favicon; ?>" />
<?php }?>
<?php
	/* We add some JavaScript to pages with the comment form
	 * to support sites with threaded comments (when in use).
	 */
	if ( is_singular() && get_option( 'thread_comments' ) )
		wp_enqueue_script( 'comment-reply' );

	/* Always have wp_head() just before the closing </head>
	 * tag of your theme, or you will break many plugins, which
	 * generally use this hook to add elements to <head> such
	 * as styles, scripts, and meta tags.
	 */
	wp_head();
?>

<!-- ////////////////////////////////// -->
<!-- //      Javascript Files        // -->
<!-- ////////////////////////////////// -->
<?php 
$disableslider = get_option('templatesquare_disable_slider');
$time = get_option('templatesquare_slider_timeout') ;
?>
<script type="text/javascript">
	var $ = jQuery.noConflict();
    jQuery(document).ready(function($) {
	
		/* for portfolio prettyPhoto */
		$("#gallery a[rel^='prettyPhoto']").prettyPhoto({theme:'dark_rounded'});
		
		/* for Testimonial cycle */
		$('.boxslideshow').cycle({
		timeout: <?php echo $time;?>,  // milliseconds between slide transitions (0 to disable auto advance)
		fx:      'fade', // choose your transition type, ex: fade, scrollUp, shuffle, etc...            
		pause:   0,	  // true to enable "pause on hover"
		pauseOnPagerHover: 0 // true to pause when hovering over pager link
		});
		


    });
</script>


<script type="text/javascript">
	 var browserName=navigator.appName; 
	 if (browserName=="Microsoft Internet Explorer")
	 {
	 Cufon.replace('h1') ('h2') ('h3') ('h4') ('h5') ('h6') ('.dt') ('.month') ('.year') 
	 }else{
	 Cufon.replace('h1') ('h2') ('h3') ('h4') ('h5') ('h6') ('.menu li a') ('#wp-calendar') ('#sidebar li li') ('#sidebar .textwidget' ) ('.dt') ('.month') ('.year')
	 }
</script>




<?php 
if($disableslider!=true){
?>
	<?php if(is_front_page()) { ?>
	<script type="text/javascript">
	var $ = jQuery.noConflict();
	$(document).ready(function() {
	   $('#s3slider').s3Slider({
		  timeOut:<?php echo $time ;?>,
		  captionOpacity: 0.7   
	   });
	});
	</script>
	<?php } ?>
<?php } ?>

<?php 
$disableslidertext= get_option('templatesquare_disable_slider_text') ;
$topimage = get_option('templatesquare_top_image');
if($topimage==""){ $topimage = get_bloginfo('template_url') . "/images/default.png"; }
$bgcolor = get_option('templatesquare_bgcolor');
$hcolor = get_option('templatesquare_hcolor');
if($bgcolor==""){ $bgcolor = "#000000"; }
if($hcolor==""){ $hcolor = "#676464"; }
?> 
<style type="text/css">
#top{background-image:url(<?php echo $topimage; ?>);}
#top_container, #footer_container{ background-color:<?php echo $bgcolor; ?>} /* background */
h1, h2, h1.pagetitle, #navigation ul li a, #navigation ul li a:visited, #navigation ul li a:hover, a, a:hover, #sidebar h2{color:<?php echo $hcolor; ?> !important} /* heading &amp link color */
#entry-author-info{border-top:3px solid <?php echo $bgcolor; ?>;}



	<?php if($disableslidertext==true){ ?>
	.s3sliderImage span {background-color:transparent !important; display:none!important; }
	<?php } else { ?>
	.s3sliderImage span {background-color:#000;}
	<?php }?>
</style>

<!--[if lte IE 7]>
<script src="<?php bloginfo('stylesheet_directory');?>/js/DD_belatedPNG.js"></script>
<script>
  DD_belatedPNG.fix('img, #top');
</script>
<![endif]--> 

</head>

<body>
	<!-- BEGIN HEADER -->
	<div id="top_container">
		<div class="centercolumn">
			<div id="top">
					<?php
					$logotype = get_option('templatesquare_logo_type');
					$logoimage = get_option('templatesquare_logo_image'); 
					$sitename = get_option('templatesquare_site_name');
					$tagline = get_option('templatesquare_tagline');
					if($logoimage == ""){ $logoimage = get_bloginfo('template_url') . "/images/logo.png"; }
					?>
			<?php if($logotype == 'textlogo'){ ?>
			<div id="logo">
					<?php if($sitename=="" && $tagline==""){?>
							<h1><a href="<?php echo get_option('home'); ?>/" title="<?php _e('Click for Home','templatesquare'); ?>"><?php bloginfo('name'); ?></a></h1>
						<span class="desc"><?php bloginfo('description'); ?></span>
					<?php }else{ ?>
						<h1><a href="<?php echo get_option('home'); ?>/" title="<?php _e('Click for Home','templatesquare'); ?>"><?php echo $sitename; ?></a></h1>
						<span class="desc"><?php echo $tagline; ?></span>
					<?php }?>
			</div><!-- end #logo -->
			<?php } else { ?>
					<div id="logo"><a href="<?php echo home_url( '/' ); ?>" title="<?php echo esc_attr( get_bloginfo( 'name', 'display' ) ); ?>" rel="home"><img src="<?php echo $logoimage;?>" alt="" /></a></div><!-- end #logo -->
			<?php }?>
			
			</div><!-- end top -->
		</div><!-- end centercolumn -->
	</div><!-- end top container -->
	<!-- END HEADER -->
	
	<!-- BEGIN CONTENT -->
	<div id="content_container">
		<div class="centercolumn">
			<div id="content-frame">		